> ## Documentation Index
> Fetch the complete documentation index at: https://novita.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Endpoint



## OpenAPI

````yaml api-reference/gpus-v2-spec/delete-endpoint.json DELETE /gpus/v2/endpoints/{endpoint_id}
openapi: 3.0.0
info:
  title: Novita GPU API v2
  version: 2.0.0
servers:
  - url: https://api.novita.ai
security: []
paths:
  /gpus/v2/endpoints/{endpoint_id}:
    delete:
      summary: Delete Endpoint
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
          description: 'Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.'
        - name: endpoint_id
          in: path
          required: true
          schema:
            type: string
          description: 'Endpoint ID. String, length: 1-255 characters.'
          example: endpoint-id
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object

````